* [gentoo-commits] repo/gentoo:master commit in: app-text/xmlto/files/, app-text/xmlto/
@ 2021-04-05 22:33 Sam James
0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2021-04-05 22:33 UTC (permalink / raw
To: gentoo-commits
commit: d68f550bb71767b4cadd452a36698f7e1f0a6b15
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 5 22:32:32 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 5 22:33:26 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d68f550b
app-text/xmlto: allow elinks
There's been a lot of history about allowing elinks but ours in Gentoo is
an active fork, so let's give it a whirl. It's already listed in the deps
anyway.
Thanks-to: dolphinling
Closes: https://bugs.gentoo.org/679626
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-text/xmlto/files/xmlto-0.0.28-allow-links.patch | 15 +++++++++++++++
.../{xmlto-0.0.28-r4.ebuild => xmlto-0.0.28-r5.ebuild} | 11 +++++++++--
2 files changed, 24 insertions(+), 2 deletions(-)
diff --git a/app-text/xmlto/files/xmlto-0.0.28-allow-links.patch b/app-text/xmlto/files/xmlto-0.0.28-allow-links.patch
new file mode 100644
index 00000000000..abb583fc904
--- /dev/null
+++ b/app-text/xmlto/files/xmlto-0.0.28-allow-links.patch
@@ -0,0 +1,15 @@
+https://bugs.gentoo.org/679626
+Thanks-to: dolphinling
+--- a/configure.in
++++ b/configure.in
+@@ -100,8 +100,8 @@ dnl
+ AC_ARG_VAR([LYNX], [Name and path of the `lynx' browser.])
+ AC_PATH_PROG([LYNX], [lynx], [lynx])
+
+-AC_ARG_VAR([LINKS], [Name and path of the `elinks' browser.])
+-AC_PATH_PROG([LINKS], [elinks], [elinks])
++AC_ARG_VAR([LINKS], [Name and path of the `links/elinks' browser.])
++AC_PATH_PROG([LINKS], [links elinks], [links])
+
+ AC_ARG_VAR([W3M], [Name and path of the `w3m' browser.])
+ AC_PATH_PROG([W3M], [w3m], [w3m])
diff --git a/app-text/xmlto/xmlto-0.0.28-r4.ebuild b/app-text/xmlto/xmlto-0.0.28-r5.ebuild
similarity index 88%
rename from app-text/xmlto/xmlto-0.0.28-r4.ebuild
rename to app-text/xmlto/xmlto-0.0.28-r5.ebuild
index 02c6d5f1d33..9188b524d59 100644
--- a/app-text/xmlto/xmlto-0.0.28-r4.ebuild
+++ b/app-text/xmlto/xmlto-0.0.28-r5.ebuild
@@ -3,6 +3,8 @@
EAPI=7
+inherit autotools
+
DESCRIPTION="Script for converting XML and DocBook documents to a variety of output formats"
HOMEPAGE="https://pagure.io/xmlto"
SRC_URI="https://releases.pagure.org/${PN}/${P}.tar.bz2"
@@ -12,12 +14,14 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="latex text"
-RDEPEND="app-text/docbook-xsl-stylesheets
+RDEPEND="
+ app-text/docbook-xsl-stylesheets
app-text/docbook-xml-dtd:4.2
dev-libs/libxslt
|| ( sys-apps/util-linux app-misc/getopt )
text? ( || ( virtual/w3m www-client/elinks www-client/links www-client/lynx ) )
- latex? ( dev-texlive/texlive-formatsextra )"
+ latex? ( dev-texlive/texlive-formatsextra )
+"
# We only depend on flex when we patch the input lexer.
DEPEND="${RDEPEND}"
@@ -25,6 +29,7 @@ DOCS=( AUTHORS ChangeLog FAQ NEWS README THANKS )
PATCHES=(
"${FILESDIR}"/${PN}-0.0.22-format_fo_passivetex_check.patch
+ "${FILESDIR}"/${PN}-0.0.28-allow-links.patch
)
src_prepare() {
@@ -34,6 +39,8 @@ src_prepare() {
if [[ ${CHOST} == *-solaris* ]] ; then
sed -i -e 's/\(attrib\|val\)/XMLTO\1/g' xmlif/xmlif.l || die
fi
+
+ eautoreconf
}
src_configure() {
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-text/xmlto/files/, app-text/xmlto/
@ 2021-11-10 4:58 Sam James
0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2021-11-10 4:58 UTC (permalink / raw
To: gentoo-commits
commit: 74c0148d970b95d767cd36bc0b8010a062906478
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 10 04:58:36 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Nov 10 04:58:36 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=74c0148d
app-text/xmlto: don't hardcode paths to utilities
Causes issues with say --root.
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../files/xmlto-0.0.28-dont-hardcode-paths.patch | 35 ++++++++++++++
app-text/xmlto/xmlto-0.0.28-r7.ebuild | 53 ++++++++++++++++++++++
2 files changed, 88 insertions(+)
diff --git a/app-text/xmlto/files/xmlto-0.0.28-dont-hardcode-paths.patch b/app-text/xmlto/files/xmlto-0.0.28-dont-hardcode-paths.patch
new file mode 100644
index 00000000000..5823b735074
--- /dev/null
+++ b/app-text/xmlto/files/xmlto-0.0.28-dont-hardcode-paths.patch
@@ -0,0 +1,35 @@
+From: Sam James <sam@gentoo.org>
+Date: Wed, 10 Nov 2021 04:53:33 +0000
+Subject: [PATCH] Don't hardcode paths to utilities
+
+The path to e.g. links at build time is not necessarily
+the same as the path at runtime.
+
+TODO: Could chop out the checks from configure but
+this package is fragile enough. Leaving it for now.
+--- a/xmlto.in
++++ b/xmlto.in
+@@ -272,13 +272,13 @@ then
+ USE_BACKEND=DEFAULT
+ fi
+
+-LINKS_PATH=@LINKS@
+-W3M_PATH=@W3M@
+-LYNX_PATH=@LYNX@
+-GCP_PATH=@GCP@
+-SED_PATH=@SED@
+-GREP_PATH=@GREP@
+-ZIP_PATH=@ZIP@
++LINKS_PATH=$(command -v links)
++W3M_PATH=$(command -v w3m)
++LYNX_PATH=$(command -v lynx)
++GCP_PATH=$(command -v cp)
++SED_PATH=$(command -v sed)
++GREP_PATH=$(command -v grep)
++ZIP_PATH=$(command -v zip)
+
+ # Process any options
+ ARGS=$(${GETOPT} \
+--
+2.33.1
+
diff --git a/app-text/xmlto/xmlto-0.0.28-r7.ebuild b/app-text/xmlto/xmlto-0.0.28-r7.ebuild
new file mode 100644
index 00000000000..c54987d45d2
--- /dev/null
+++ b/app-text/xmlto/xmlto-0.0.28-r7.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Script for converting XML and DocBook documents to a variety of output formats"
+HOMEPAGE="https://pagure.io/xmlto"
+SRC_URI="https://releases.pagure.org/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="latex text"
+
+RDEPEND="
+ app-text/docbook-xsl-stylesheets
+ app-text/docbook-xml-dtd:4.2
+ dev-libs/libxslt
+ || ( sys-apps/util-linux app-misc/getopt )
+ text? ( || ( virtual/w3m www-client/elinks www-client/links www-client/lynx ) )
+ latex? ( dev-texlive/texlive-formatsextra )
+"
+# We only depend on flex when we patch the input lexer.
+DEPEND="${RDEPEND}"
+
+DOCS=( AUTHORS ChangeLog FAQ NEWS README THANKS )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.0.22-format_fo_passivetex_check.patch
+ "${FILESDIR}"/${PN}-0.0.28-allow-links.patch
+ "${FILESDIR}"/${PN}-0.0.28-dont-hardcode-paths.patch
+)
+
+src_prepare() {
+ default
+
+ # fix symbol clash on Solaris
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ sed -i -e 's/\(attrib\|val\)/XMLTO\1/g' xmlif/xmlif.l || die
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ # We don't want the script to detect /bin/sh if it is bash.
+ export ac_cv_path_BASH="${BASH}"
+ has_version sys-apps/util-linux || export GETOPT=getopt-long
+
+ econf
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-text/xmlto/files/, app-text/xmlto/
@ 2021-12-07 23:59 Sam James
0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2021-12-07 23:59 UTC (permalink / raw
To: gentoo-commits
commit: 4c75b53ddf86096a8e6a09e440db0acc32426786
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 7 23:58:45 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 7 23:58:45 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c75b53d
app-text/xmlto: allow elinks too
Closes: https://bugs.gentoo.org/828520
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-text/xmlto/files/xmlto-0.0.28-dont-hardcode-paths.patch | 4 +++-
app-text/xmlto/{xmlto-0.0.28-r7.ebuild => xmlto-0.0.28-r8.ebuild} | 0
2 files changed, 3 insertions(+), 1 deletion(-)
diff --git a/app-text/xmlto/files/xmlto-0.0.28-dont-hardcode-paths.patch b/app-text/xmlto/files/xmlto-0.0.28-dont-hardcode-paths.patch
index 5823b7350749..7137966b27d2 100644
--- a/app-text/xmlto/files/xmlto-0.0.28-dont-hardcode-paths.patch
+++ b/app-text/xmlto/files/xmlto-0.0.28-dont-hardcode-paths.patch
@@ -1,3 +1,5 @@
+(See https://bugs.gentoo.org/828520 too)
+
From: Sam James <sam@gentoo.org>
Date: Wed, 10 Nov 2021 04:53:33 +0000
Subject: [PATCH] Don't hardcode paths to utilities
@@ -20,7 +22,7 @@ this package is fragile enough. Leaving it for now.
-SED_PATH=@SED@
-GREP_PATH=@GREP@
-ZIP_PATH=@ZIP@
-+LINKS_PATH=$(command -v links)
++LINKS_PATH=$(command -v elinks || command -v links)
+W3M_PATH=$(command -v w3m)
+LYNX_PATH=$(command -v lynx)
+GCP_PATH=$(command -v cp)
diff --git a/app-text/xmlto/xmlto-0.0.28-r7.ebuild b/app-text/xmlto/xmlto-0.0.28-r8.ebuild
similarity index 100%
rename from app-text/xmlto/xmlto-0.0.28-r7.ebuild
rename to app-text/xmlto/xmlto-0.0.28-r8.ebuild
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-text/xmlto/files/, app-text/xmlto/
@ 2022-09-07 23:31 Sam James
0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2022-09-07 23:31 UTC (permalink / raw
To: gentoo-commits
commit: f2c2beb6007ad270dff9aacedbcf2ef0946eaa74
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 7 23:31:23 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Sep 7 23:31:30 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2c2beb6
app-text/xmlto: fix build w/ clang 15 (backport warning fixes)
Throw in some other upstream warning fixes too.
Closes: https://bugs.gentoo.org/869080
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../xmlto/files/xmlto-0.0.28-fix-warnings.patch | 116 +++++++++++++++++++++
app-text/xmlto/xmlto-0.0.28-r9.ebuild | 54 ++++++++++
2 files changed, 170 insertions(+)
diff --git a/app-text/xmlto/files/xmlto-0.0.28-fix-warnings.patch b/app-text/xmlto/files/xmlto-0.0.28-fix-warnings.patch
new file mode 100644
index 000000000000..b90eea1f42df
--- /dev/null
+++ b/app-text/xmlto/files/xmlto-0.0.28-fix-warnings.patch
@@ -0,0 +1,116 @@
+https://bugs.gentoo.org/869080
+
+https://pagure.io/xmlto/c/1375e2df75530cd198bd16ac3de38e2b0d126276?branch=master
+https://pagure.io/xmlto/c/412f97cdc00d2bbf7e8121012b49fc07b3fe3d2b?branch=master
+https://pagure.io/xmlto/c/8e34f087bf410bcc5fe445933d6ad9bae54f24b5?branch=master
+https://pagure.io/xmlto/c/6fa6a0e07644f20abf2596f78a60112713e11cbe?branch=master
+
+From 1375e2df75530cd198bd16ac3de38e2b0d126276 Mon Sep 17 00:00:00 2001
+From: Thomas Kuehne <thomas@kuehne.cn>
+Date: Dec 11 2021 20:45:45 +0000
+Subject: fix -Wimplicit-int for ifsense
+
+
+fixes:
+xmlif/xmlif.l:46:8: warning: type defaults to ‘int’ in declaration of ‘ifsense’ [-Wimplicit-int]
+ 46 | static ifsense; /* sense of last `if' or unless seen */
+ | ^~~~~~~
+
+Signed-off-by: Thomas Kuehne <thomas@kuehne.cn>
+
+--- a/xmlif/xmlif.l
++++ b/xmlif/xmlif.l
+@@ -43,7 +43,7 @@
+
+ static char **selections; /* selection tokens */
+ static int nselections; /* number of selections */
+-static ifsense; /* sense of last `if' or unless seen */
++static int ifsense; /* sense of last `if' or unless seen */
+ static char *attribute; /* last attribute scanned */
+
+ struct stack_t {
+
+
+From 412f97cdc00d2bbf7e8121012b49fc07b3fe3d2b Mon Sep 17 00:00:00 2001
+From: Thomas Kuehne <thomas@kuehne.cn>
+Date: Dec 11 2021 20:45:59 +0000
+Subject: fix extra ‘;’ outside of a function
+
+
+Fixes:
+xmlif/xmlif.l:240:24: warning: ISO C does not allow extra ‘;’ outside of a function [-Wpedantic]
+ 240 | int yywrap() {exit(0);};
+ | ^
+
+Signed-off-by: Thomas Kuehne <thomas@kuehne.cn>
+
+--- a/xmlif/xmlif.l
++++ b/xmlif/xmlif.l
+@@ -237,7 +237,7 @@ WS [ \t\n]*
+
+ #include "config.h"
+
+-int yywrap() {exit(0);};
++int yywrap() {exit(0);}
+
+ main(int argc, char *argv[])
+ {
+
+
+From 8e34f087bf410bcc5fe445933d6ad9bae54f24b5 Mon Sep 17 00:00:00 2001
+From: Thomas Kuehne <thomas@kuehne.cn>
+Date: Dec 11 2021 20:56:00 +0000
+Subject: Fix return type of main function
+
+
+Fixes:
+xmlif/xmlif.l:242:1: warning: return type defaults to ‘int’ [-Wimplicit-int]
+ 242 | main(int argc, char *argv[])
+ | ^~~~
+
+Signed-off-by: Thomas Kuehne <thomas@kuehne.cn>
+
+--- a/xmlif/xmlif.l
++++ b/xmlif/xmlif.l
+@@ -239,7 +239,7 @@ WS [ \t\n]*
+
+ int yywrap() {exit(0);}
+
+-main(int argc, char *argv[])
++int main(int argc, char *argv[])
+ {
+ int i;
+
+@@ -265,7 +265,7 @@ main(int argc, char *argv[])
+ exit(1);
+ }
+
+- yylex();
++ return yylex();
+ }
+
+ /*
+
+From 6fa6a0e07644f20abf2596f78a60112713e11cbe Mon Sep 17 00:00:00 2001
+From: Thomas Kuehne <thomas@kuehne.cn>
+Date: Dec 11 2021 21:03:42 +0000
+Subject: add strings.h import
+
+
+Fixes:
+xmlif/xmlif.l:162:13: warning: implicit declaration of function ‘strncasecmp’; did you mean ‘strncmp’? [-Wimplicit-function-declaration]
+ 162 | if (strncasecmp(selections[i], attr, eqoffset) == 0)
+ | ^~~~~~~~~~~
+
+Signed-off-by: Thomas Kuehne <thomas@kuehne.cn>
+
+--- a/xmlif/xmlif.l
++++ b/xmlif/xmlif.l
+@@ -37,6 +37,7 @@
+ */
+ #include <string.h>
+ #include <stdlib.h>
++#include <strings.h>
+
+ #define TRUE 1
+ #define FALSE 0
diff --git a/app-text/xmlto/xmlto-0.0.28-r9.ebuild b/app-text/xmlto/xmlto-0.0.28-r9.ebuild
new file mode 100644
index 000000000000..1db249209926
--- /dev/null
+++ b/app-text/xmlto/xmlto-0.0.28-r9.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Script for converting XML and DocBook documents to a variety of output formats"
+HOMEPAGE="https://pagure.io/xmlto"
+SRC_URI="https://releases.pagure.org/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="latex text"
+
+RDEPEND="
+ app-text/docbook-xsl-stylesheets
+ app-text/docbook-xml-dtd:4.2
+ dev-libs/libxslt
+ || ( sys-apps/util-linux app-misc/getopt )
+ text? ( || ( virtual/w3m www-client/elinks www-client/links www-client/lynx ) )
+ latex? ( dev-texlive/texlive-formatsextra )
+"
+# We only depend on flex when we patch the input lexer.
+DEPEND="${RDEPEND}"
+
+DOCS=( AUTHORS ChangeLog FAQ NEWS README THANKS )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.0.22-format_fo_passivetex_check.patch
+ "${FILESDIR}"/${PN}-0.0.28-allow-links.patch
+ "${FILESDIR}"/${P}-dont-hardcode-paths.patch
+ "${FILESDIR}"/${P}-fix-warnings.patch
+)
+
+src_prepare() {
+ default
+
+ # fix symbol clash on Solaris
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ sed -i -e 's/\(attrib\|val\)/XMLTO\1/g' xmlif/xmlif.l || die
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ # We don't want the script to detect /bin/sh if it is bash.
+ export ac_cv_path_BASH="${BASH}"
+ has_version sys-apps/util-linux || export GETOPT=getopt-long
+
+ econf
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2022-09-07 23:31 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-11-10 4:58 [gentoo-commits] repo/gentoo:master commit in: app-text/xmlto/files/, app-text/xmlto/ Sam James
-- strict thread matches above, loose matches on Subject: below --
2022-09-07 23:31 Sam James
2021-12-07 23:59 Sam James
2021-04-05 22:33 Sam James
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox